Redmine - Defect #5008

Gravatar breaks layout of "logged in" page
2010-03-08 13:39 - Henrik Ammer

Status: Closed Start date: 2010-03-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 0.9.4

Resolution: Fixed Affected version:

Description

When you enable gravatar on the website it breaks the "logged in as USERNAME" page since there is no clearing after the h2 tag
inside the div id="content".

In the CSS you could add the following code:

fcontent h2:after(
content: ".";
visibility: hidden;
display: block;
height: 0;
clear: both;

}

but it will only be supported in the later browsers (and will make the change on all pages, not just the logged in as one). Other places
in the code you've added empty divs with the clear:both applied to its style attribute so might be needed here aswell.

Now why you ask yourself? The following divs with the splitcontentleft and splitcontentright classes uses up 49% each of the space
and since img.gravatar floats to the left it makes the splitcontentright appear below the splitcontentleft.

| really hope you all understand me cuz I'm down with a flu and my brain ain't working at top speed. I'll see if | find the rhtml file and |
might even add a patch for it. :)

Related issues:
Has duplicate Redmine - Defect #4597: Display weirdness in users/show.rhtml i... Closed 2010-01-17

Associated revisions

Revision 3562 - 2010-03-12 14:35 - Jean-Philippe Lang
Fixed: avatar display breaks user profile page layout (#5008).

History

#1 - 2010-03-08 21:19 - Jean-Philippe Lang

I'm not sure to know what the "logged in as USERNAME" page is.
Could you attach a screenshot?

#2 - 2010-03-08 21:19 - Jean-Philippe Lang
- Category set to Ul

#3 - 2010-03-08 21:24 - Jean-Philippe Lang
OK, | see (/users/1)

#4 - 2010-03-09 10:40 - Henrik Ammer

- File clear_both_user show.diff added

| found the appropriate rhtml file (app/views/users/show.rhtml) however there is no div style="clear: both;" after .splitcontentright and | do see one in
Firebug so therefor | thought it might be added in some javascript file but found nothing regarding it.

So, I've added a line with the div to user_show.rhtml (diff attached) but not totally sure that it's the way to add it. You be the judge.
#5 - 2010-03-09 10:40 - Henrik Ammer

Jean-Philippe Lang wrote:

OK, I see (/users/1)

Sorry, my bad for not pointing that out. | blame the snot! :)

#6 - 2010-03-12 14:36 - Jean-Philippe Lang
- Status changed from New to Resolved
- Target version set to 0.9.4

- Resolution set to Fixed

The problem with clear:both; is that it will break if you add another higher floating div (eg. in the sidebar).
| fixed it using another approach in r3562.

#7 - 2010-03-23 12:20 - Henrik Ammer
- File gravatar_on_issue.png added
Jean-Philippe Lang wrote:
The problem with clear:both; is that it will break if you add another higher floating div (eg. in the sidebar).

| fixed it using another approach in r3562.

This though makes other places gravatars are shown (like for instance issues) not align properly. Examples are "Assigned to" and the history of the
issue as seen on the screenshot attached.

Status: Tilldelad

Prioritet: Normal

Tilldelad till: g Henrik Jonsson
Kategori:

Versionsmal:

Beskrivning

Fér att rada bot pa férvirring (och mitt minne) behdver Javascripth

Relaterade AttGira
Subtasks

Relaterade @renden

Historia

h“! Uppdaterad av Henrik Jonsson for ungefar 23 timmar sedan

« Status 3ndrad fran Ny till Tilldelad
« % Klart andrad fran o till 10

h“! Uppdaterad av Henrik Jonsson for ungefar 20 timmar sedan
#8 - 2010-04-11 16:31 - Jean-Philippe Lang
- Status changed from Resolved to Closed

| don't really see what is wrong on your screenshot.
I'm closing this ticket since the initial problem is solved and merged from 0.9.4 release. Open a new ticket if needed.

Files
clear_both_user_show.diff 358 Bytes 2010-03-09 Henrik Ammer
gravatar_on_issue.png 23.8 KB 2010-03-23 Henrik Ammer
